%define version 1.9.16
%define release %mkrel 5
%define subrel	4
%define pkgname gnupg

Name:		gnupg2
Summary:	GNU privacy guard - a free PGP replacement
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		File tools
URL:		http://www.gnupg.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		ftp://ftp.gnupg.org/gcrypt/alpha/gnupg/%{pkgname}-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig
Patch0:		gnupg-1.9.3-use-ImageMagick-for-photo.patch.bz2
Patch1:		gnupg-1.9.16-64bit-fixes.patch.bz2
Patch2:		gnupg-1.4.2.2-CVE-2006-3082.patch
Patch3:		gnupg-1.9.16-CVE-2006-3746.patch
Patch4:		gnupg-1.9.16-CVE-2006-6169.patch
Patch5:		gnupg-1.9.16-CVE-2006-6235.patch

BuildRequires:	openldap2-devel
BuildRequires:  sendmail-command
BuildRequires:	libgpg-error-devel >= 0.7
BuildRequires:	libgcrypt-devel >= 1.1.94
BuildRequires:	libassuan-devel >= 0.6.9
BuildRequires:	libksba-devel >= 0.9.7
BuildRequires:	opensc-devel >= 0.8.0
BuildRequires:	zlib-devel
BuildRequires:	pth-devel >= 2.0.0
Prereq:		/sbin/install-info
Obsoletes:	newpg
Provides:	newpg = %{version}-%{release}
Requires:	dirmngr
Requires:	pinentry
Requires:	gnupg

%description
GnuPG is GNU's tool for secure communication and data storage.
It can be used to encrypt data and to create digital signatures.
It includes an advanced key management facility and is compliant
with the proposed OpenPGP Internet standard as described in RFC2440.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .ImageMagick
%patch1 -p1 -b .64bit-fixes
%patch2 -p1 -b .cve-2006-3082
%patch3 -p1 -b .cve-2006-3746
%patch4 -p1 -b .cve-2006-6169
%patch5 -p1 -b .cve-2006-6235

%build
# (Abel) set correct helper path... though useless. gnupg 2 can't
# use gnupg 1.2 keyserver helpers, it can only work with helpers from
# gnupg 1.3 -- that means it's pretty useless for everybody except me :-P
%define _libexecdir %{_libdir}/gnupg

%configure2_5x
%make

# all tests must pass
make check

%install
rm -rf %{buildroot}
%makeinstall_std

# remove this from package because the content of options.skel is the
# identical for both gnupg 1/2, except for comment
rm -rf %{buildroot}%{_datadir}/gnupg

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%_install_info gnupg.info

%postun
%_remove_install_info gnupg.info

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README NEWS THANKS TODO ChangeLog
%attr(4755,root,root) %{_bindir}/gpgsm
%{_bindir}/gpg-agent
%{_bindir}/gpgconf
%{_bindir}/kbxutil
%{_bindir}/sc*
%{_bindir}/watchgnupg
%{_bindir}/gpgsm-gencert.sh
%{_bindir}/gpg-connect-agent
%{_sbindir}/addgnupghome
%dir %{_libdir}/gnupg
%{_libdir}/gnupg/gpg-preset-passphrase
%{_libdir}/gnupg/gpg-protect-tool
%{_libdir}/gnupg/pcsc-wrapper
#%{_datadir}/gnupg
%{_infodir}/gnupg.info*
# gpg2 not built by default, you must use gnupg 1.4 (Arnaud de Lorbeau)
#%attr(4755,root,root) %{_bindir}/gpg2
#%{_bindir}/gpgv2

%changelog
* Tue Dec 05 2006 Stew Benedict <sbenedict@mandriva.com> 1.9.16-4.4.20060mdk
- P5: security fix for CVE-2006-6235

* Thu Nov 30 2006 Stew Benedict <sbenedict@mandriva.com> 1.9.16-4.3.20060mdk
- P4: security fix for CVE-2006-6169

* Fri Aug 11 2006 Vincent Danen <vdanen@mandriva.com> 1.9.16-4.2.20060mdk
- P3: security fix for CVE-2006-3746

* Tue Jun 20 2006 Vincent Danen <vdanen@mandriva.com> 1.9.16-4.1.20060mdk
- P2: security fix for CVE-2006-3082

* Mon Sep  5 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.9.16-4mdk
- 64-bit fixes

* Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.9.16-3mdk
- Rebuild
- Fix smtpdaemon
- mkrel

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.9.16-2mdk 
- buildrequires libassuan-devel >= 0.6.9

* Wed May 18 2005 Arnaud de Lorbeau <devel@mandriva.com> 1.9.16-1mdk
- 1.9.16

* Thu Aug 19 2004 Abel Cheung <deaddog@deaddog.org> 1.9.10-1mdk
- New version
- Remove P1 (upstream)

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 1.9.8-1mdk
- New version
- Use tarball instead, signed upstream
- Requires new libpth
- Patch1: Fix typo which prevents compilation

* Thu May  6 2004 Olivier Blin <blino@mandrake.org> 1.9.3-3mdk
- buildrequires
- rebuild for new libgcrypt

* Mon Jan 26 2004 Abel Cheung <deaddog@deaddog.org> 1.9.3-2mdk
- Rebuild with new libpth

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 1.9.3-1mdk
- First Mandrake package, based on spec of gnupg
- Patch0: Use ImageMagick to display photo by default

